Bug 14928 - Remove C4::Dates from files acqui/pdfformat/layout*.pm
Summary: Remove C4::Dates from files acqui/pdfformat/layout*.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-09-30 13:56 UTC by Marc Véron
Modified: 2016-06-21 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14928 - Remove C4::Dates from files acqui/pdfformat/layout*.pm (3.42 KB, patch)
2015-09-30 14:11 UTC, Marc Véron
Details | Diff | Splinter Review
[COUNTER-PATCH] Bug 14928: Remove C4::Dates from circ/pendingreserves.pl (5.51 KB, patch)
2015-10-01 09:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14928 - Remove C4::Dates from files acqui/pdfformat/layout*.pm (3.52 KB, patch)
2015-10-08 21:17 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14928 - Remove C4::Dates from files acqui/pdfformat/layout*.pm (3.58 KB, patch)
2015-10-09 08:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-09-30 13:56:40 UTC
This patch removes C4::Dates from:
- acqui/pdfformat/layout2pages.pm
- acqui/pdfformat/layout2pagesde.pm
- acqui/pdfformat/layout3pages.pm
- acqui/pdfformat/layout3pagesfr.pm
Comment 1 Marc Véron 2015-09-30 14:11:56 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-10-01 09:13:35 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-10-01 09:14:18 UTC
Wrong bug report, sorry about that.
Comment 4 Héctor Eduardo Castro Avalos 2015-10-08 21:17:29 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-10-09 08:33:43 UTC
Created attachment 43291 [details] [review]
Bug 14928 - Remove C4::Dates from files acqui/pdfformat/layout*.pm

This patch removes C4::Dates from:
- acqui/pdfformat/layout2pages.pm
- acqui/pdfformat/layout2pagesde.pm
- acqui/pdfformat/layout3pages.pm
- acqui/pdfformat/layout3pagesfr.pm

To test:
- Apply patch
- Go to Home > Acquisitions > [Vendor] > Basket groups
- Print a basket (order)
- Verify that the current date is formatted respects syspref 'dateformat'
- Do the same with syspref 'OrderPdfFormat' set to the four different choices

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Date printed in PDF Ok

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Tomás Cohen Arazi 2015-10-09 14:30:07 UTC
Patch pushed to master.

Thanks Marc!